Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.dom4j.util
Interface SingletonStrategy

All Known Implementing Classes:
  PerThreadSingleton, SimpleSingleton

public interface SingletonStrategy

`SingletonStrategy` is an interface used to provide common factory access for the same object based on an implementation strategy for singleton. Right now there are two that accompany this interface: SimpleSingleton and PerThreadSingleton. This will replace previous usage of ThreadLocal to allow for alternate strategies.

Version:
  $Revision: 1.2 $
Author:
  David Lucas

Method Summary
`Object` | `instance()` return a singleton instance of the class specified in setSingletonClass
`void` | `reset()` reset the instance to a new instance for the implemented strategy
`void` | `setSingletonClassName(String singletonClassName)` set a singleton class name that will be used to create the singleton based on the strategy implementation of this interface.

Method Detail

### instance

    public Object instance()

  return a singleton instance of the class specified in setSingletonClass

### reset

    public void reset()

  reset the instance to a new instance for the implemented strategy

### setSingletonClassName

    public void setSingletonClassName(String singletonClassName)

  set a singleton class name that will be used to create the singleton based on the strategy implementation of this interface. The default constructor of the class will be used and must be public.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 MetaStuff Ltd.. All Rights Reserved.